Subject: Re: bug#3634: emacsclient: unwind-protect prevents printing final form

From: Glenn Morris <[email-masked]>
Date: Tue, 12 Jul 2011 19:07:08 -0400

Stefan Monnier wrote:

> I'd expect that using condition-case to catch `quit' would work.
> Have you tried it?

Works for me.

STRING=$(emacsclient -e "(condition-case nil (read-string \"> \") (quit nil))")